# -*-makefile-*-
#
# Copyright (C) 2012 by Jan Luebbe <jlu@pengutronix.de>
#
# Copyright (C) 2021-2023 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Gregor Herburger
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_UBOOT_MBA335_HD) += image-uboot-mba335-hd

#
# Paths and names
#
IMAGE_UBOOT_MBA335_HD		:= uboot_mba335x.img
IMAGE_UBOOT_MBA335_HD_DIR	:= $(BUILDDIR)/$(IMAGE_UBOOT_MBA335_HD)
IMAGE_UBOOT_MBA335_HD_IMAGE	:= $(IMAGEDIR)/image-uboot-mba335x-mmc-hd.img
IMAGE_UBOOT_MBA335_HD_CONFIG	:= image-u-boot-hd.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_UBOOT_MBA335_HD_ENV = \
	BOOT_MLO_VFAT=$(notdir $(IMAGE_UBOOT_MBA335_IMAGE)) \
	ROOTFS=$(notdir $(IMAGE_ROOT_EXT_IMAGE))

$(IMAGE_UBOOT_MBA335_HD_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_UBOOT_MBA335_HD)
	@$(call finish)

# vim: syntax=make
