#ifndef _GPIO_LIB_H_
#define _GPIO_LIB_H_

int GPIO_Register (int iGpio);
int GPIO_Free(int iGpio);
int GPIO_SetVal(int iGpio, int iValue);
int GPIO_SetEdge(int iGpio, char* cEdge);
int GPIO_SetDir(int iGpio, int iDirection);
int GPIO_GetVal(int iGpio);
int GPIO_GetIRQ(int iGpio);
int GPIO_Init(int iGpio, int iValue);
void GPIO_Toggle(int iGpio);
int GPIO_ToggleLoop(int iGpio, int nLoops);

#endif
