# -*-makefile-*-
#
# Copyright (C) 2015-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Michael Krummsdorf
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_HOST_SYSTEM_TCLSH) += host-system-tclsh

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/host-system-tclsh.prepare:
	@$(call targetinfo)
	@echo "Checking for tclsh ..."
	@[ -x $(which tclsh) ] || \
		ptxd_bailout "'tclsh' not found! Please install.";
	@echo
	@$(call touch)

# vim: syntax=make
