# -*-makefile-*-
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_FIRMWARE_IMG) += image-firmware-img

#
# Paths and names
#
IMAGE_FIRMWARE_IMG		:= image-firmware-img
IMAGE_FIRMWARE_IMG_DIR		:= $(BUILDDIR)/$(IMAGE_FIRMWARE_IMG)
IMAGE_FIRMWARE_IMG_IMAGE	:= $(IMAGEDIR)/firmware.img
IMAGE_FIRMWARE_IMG_FILES	:= $(IMAGEDIR)/firmware.tgz
IMAGE_FIRMWARE_IMG_CONFIG	:= firmware-img.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------
IMAGE_FIRMWARE_IMG_ENV	= IMG_TYPE=$(PTXCONF_IMAGE_FIRMWARE_IMG_TYPE)
IMAGE_FIRMWARE_IMG_ENV	+= SIZE=$(PTXCONF_IMAGE_FIRMWARE_IMG_SIZE)


$(IMAGE_FIRMWARE_IMG_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_FIRMWARE_IMG)
	@$(call finish)

# vim: syntax=make
