# -*-makefile-*-
#
# Copyright (C) 2019-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

ifdef PTXCONF_U_BOOT_NEEDS_GIT_URL

U_BOOT_NEEDS_GIT_URL	:= y

ifdef PTXCONF_U_BOOT_SOURCE_IMX
U_BOOT_GIT_URL		:= https://source.codeaurora.org/external/imx/uboot-imx.git
endif
ifdef PTXCONF_U_BOOT_SOURCE_FSLC
U_BOOT_GIT_URL		:= https://github.com/Freescale/u-boot-fslc.git
endif
ifdef PTXCONF_U_BOOT_SOURCE_QORIQ
U_BOOT_GIT_URL		:= https://source.codeaurora.org/external/qoriq/qoriq-components/u-boot.git
endif
ifdef PTXCONF_U_BOOT_SOURCE_TQ
U_BOOT_GIT_URL		:= https://github.com/tq-systems/u-boot-tqmaxx.git
endif

else

U_BOOT_FTP_BASE_URL	:= https://ftp.denx.de/pub/u-boot/

endif

U_BOOT_TARBALL_SUFFIX	:= tar.bz2

# license type and files are taken from opem embedded rules
U_BOOT_LICENSE		:= GPLv2+
# TODO: this changes very infrequently
U_BOOT_LICENSE_FILES 	:= $(call remove_quotes,$(PTXCONF_U_BOOT_LICENSE_FILES))
