#!/bin/bash
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# generate a tgz image from a given dir
#
ptxd_make_image_tar_impl() {
    ptxd_make_image_init &&
    mkdir -p "${pkg_dir}/${pkg_pkg}" &&
    cp ${image_files} "${pkg_dir}/${pkg_pkg}/" &&
    cd "${pkg_dir}" &&
    echo -e "\nCreating $(ptxd_print_path "${image_image}") ...\n" &&
    tar -zcf "${image_image}" .
}
export -f ptxd_make_image_tar_impl

ptxd_make_image_tar() {
    ptxd_make_image_tar_impl
}
export -f ptxd_make_image_tar
